Spotify na Ubuntu 15.04 + 15.10

Oblíbenou hudební streamovací službu Spotify nemá asi cenu představovat. Pro Linux existuje nativní klient již dlouho. V případě Ubuntu je klient připraven pro verzi 14.04 (LTS). Na novějších verzích (15.04 a 15.10) ale nejde spustit. Řešení je jednoduché a najít jej není problém. Věřím však, že některým lidem může dělat problém toto vyřešit, proto jsem se rozhodl sepsat tento návod na zprovoznění Spotify.

V čem je problém?

Celý problém je v chybějící knihovně libgcrypt11, která byla v novějších verzích Ubuntu nahrazena novější knihovnou libgcrypt20. Tento problém jde lehce zdetekovat, pokud se pokusíte spustit Spotify z příkazové řádky:

spotify
spotify: error while loading shared libraries: libgcrypt.so.11: cannot open shared object file: No such file or directory

Řešení

Řešení vyplývá přímo z problému - je třeba nainstalovat libgcrypt11. Ten bohužel není v repositářích k dispozici. Je tedy nutno ji stáhnout a nainstalovat ručně.

1. stažení knihovny:

pro 32bit systém

wget https://launchpad.net/ubuntu/+archive/primary/+files/libgcrypt11_1.5.3-2ubuntu4.2_i386.deb

pro 64bit systém

wget https://launchpad.net/ubuntu/+archive/primary/+files/libgcrypt11_1.5.3-2ubuntu4.2_amd64.deb

2. instalace

pro 32bit systém

sudo dpkg -i libgcrypt11_1.5.3-2ubuntu4.2_i386.deb

pro 64bit systém

sudo dpkg -i libgcrypt11_1.5.3-2ubuntu4.2_amd64.deb

Nyní Vám již Spotify bude fungovat bez problémů.

Kde všude se problém vyskytuje?

Tento problém se vyskytuje v Ubuntu 15.04 a 15.10 včetně všech derivátů a dalších odnoží. Ve všech těchto případech funguje tento postup pro nápravu.

Václav

Programátor... občas normální, častěji tak trochu blázen.

Internetová stránka: www.valeas.cz
Brakeburn na Zoot.cz